# Uses of Interface
org.eclipse.jdt.ui.dialogs.ITypeSelectionComponent

Packages that use ITypeSelectionComponent
Package
Description
org.eclipse.jdt.ui.dialogs
Application programming interfaces for dialogs.

## Uses of ITypeSelectionComponent in org.eclipse.jdt.ui.dialogs

Methods in org.eclipse.jdt.ui.dialogs that return ITypeSelectionComponent
Modifier and Type
Method
Description
`final ITypeSelectionComponent`
TypeSelectionExtension.`getTypeSelectionComponent()`
Returns the type selection dialog or `null` if the extension has not been initialized yet.
Methods in org.eclipse.jdt.ui.dialogs with parameters of type ITypeSelectionComponent
Modifier and Type
Method
Description
`final void`
TypeSelectionExtension.`initialize(ITypeSelectionComponent component)`
Initializes the type dialog extension with the given type dialog